PRINTQ(3R)

NAME
printq: printqempty, printqspace, printqclear - printer queue management

SYNOPSIS
int printqempty ( )

int printqspace ( )

void printqclear ( )

DESCRIPTION
Between terminal processes and the printer is a queue used for buffering characters being sent to the printer. The printqempty function returns 1 if this queue is empty. Otherwise, 0 is returned.

The printqspace function returns the number of characters that can be added to the queue before it fills. A full buffer affects the way the psendchar function operates.

The printqclear function removes all the characters currently in the queue. This prevents them from going to the printer. This routine clears the queue only if the printer is owned.

If the printer is not owned, printqempty returns 1 and printqspace returns 0.

SEE ALSO
psendchar(3R), resources(3R).